- Qt 6.8
- Qt GUI
- C++ Classes
- QFontDatabase
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QFontDatabase

The following members of class QFontDatabase are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.0)` | QFontDatabase()

## Member Function Documentation

### `[explicit constexpr noexcept, deprecated in 6.0]` QFontDatabase::QFontDatabase()

This function is deprecated since 6.0. We strongly advise against using it in new code.

Call the class methods as static functions instead.

Creates a font database object.